apiVersion: batch/v1
kind: CronJob
metadata:
  name: tamland-forecasting
spec:
  schedule: {{ .Values.forecast_schedule | quote }}
  suspend: {{ .Values.forecast_suspended }}
  successfulJobsHistoryLimit: 10
  failedJobsHistoryLimit: 10
  concurrencyPolicy: "Forbid"
  jobTemplate:
    spec:
      template:
        spec:
          {{- if .Values.nodeSelector }}
          nodeSelector: {{ toJson .Values.nodeSelector }}
          {{- end }}
          restartPolicy: "Never"
          containers:
            - name: tamland-forecast
              image: "registry.gitlab.com/gitlab-com/gl-infra/tamland:{{ .Chart.AppVersion }}"
              imagePullPolicy: Always
              volumeMounts:
                - name: tamland-config
                  mountPath: /config
                  readOnly: true
              env:
                - name: "THANOS_QUERY_URL"
                  value: {{ .Values.prometheus_url }}
                - name: "PROM_QUERY_SECOND_CACHE_FS"
                  value: {{ .Values.second_cache_fs }}
              command:
                - bin/shell
              args:
                - forecast
                - {{ .Values.forecast_target }}
                - --manifest=/config/manifest.json
          volumes:
            - name: tamland-config
              configMap:
                name: tamland-config
